NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Protected Member Functions | List of all members
NXOpen.CAE.PostAnnotationBuilder Class Reference

Builder to create NXOpen.CAE.PostAnnotation from NXOpen.CAE.Post More...

Inheritance diagram for NXOpen.CAE.PostAnnotationBuilder:
NXOpen.TransientObject NXOpen.Utilities.NXRemotableObject IDisposable IMessageSink

Public Types

enum  Type { Entity, Min, Max, Userloc }
 select option to define the annotation type More...
 

Public Member Functions

unsafe NXOpen.CAE.PostAnnotation CommitAnnotation ()
 Commits the annotation to create annotation object More...
 
unsafe void Delete ()
 Deletes the annotation builder. More...
 
unsafe void SetAnnotationType (NXOpen.CAE.PostAnnotationBuilder.Type type)
 Set the annotation type More...
 
unsafe void SetCoordinate (double xcord, double ycord)
 Set the coordinates for user annotation More...
 
unsafe void SetEdgeFace (int[] subIds)
 Set the edge or face id for which annotation is defined More...
 
unsafe void SetElements (int[] elementIds)
 Set the element ids for which annotation is defined More...
 
unsafe void SetName (string name)
 Set the annotation name More...
 
unsafe void SetNodes (int[] nodeIds)
 Set the node ids for which annotation is defined More...
 
unsafe void SetNumMinMax (int numMinMax)
 Set the number of min/max annotation for min/max type of annotation More...
 
unsafe void SetResults (NXOpen.CAE.Result[] results)
 Set the result index for which annotation is defined More...
 
unsafe void SetSectionAngles (double[] sectionAngles)
 Set the section angles for axis-symmetric model for which annotation is defined. More...
 
unsafe void SetSectors (int[] sectorIds)
 Set the sector ids for cyclic-symmetric model for which annotation is defined More...
 
unsafe void SetUpdateEntityOnResultChange (bool update)
 Set weather entity is to be updated in case of result update for min/max annotation More...
 
unsafe void SetUsertext (string[] usertext)
 Set the user text More...
 
- Public Member Functions inherited from NXOpen.TransientObject
void Dispose ()
 Frees the object from memory. More...
 
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
new string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override void FreeResource ()
 Frees the object from memory. More...
 

Additional Inherited Members

- Properties inherited from NXOpen.TransientObject
IntPtr Handle [get]
 Handle of the internal object represented by this object. More...
 

Detailed Description

Builder to create NXOpen.CAE.PostAnnotation from NXOpen.CAE.Post


User can pass entities which are same as current postview location.

The entities have to be passed in following manner


Though entities are being passed separately, they work as a set, so no of entities must be same for all.

To obtain an instance of this class use CAE::Post

Created in NX11.0.0

Member Enumeration Documentation

select option to define the annotation type

Enumerator
Entity 
Min 
Max 
Userloc 

Member Function Documentation

unsafe NXOpen.CAE.PostAnnotation NXOpen.CAE.PostAnnotationBuilder.CommitAnnotation ( )
inline

Commits the annotation to create annotation object

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe void NXOpen.CAE.PostAnnotationBuilder.Delete ( )
inline

Deletes the annotation builder.

Created in NX11.0.0

License requirements: None.

override void NXOpen.CAE.PostAnnotationBuilder.FreeResource ( )
inlineprotectedvirtual

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Created in NX11.0.0

License requirements: None.

Implements NXOpen.TransientObject.

unsafe void NXOpen.CAE.PostAnnotationBuilder.SetAnnotationType ( NXOpen.CAE.PostAnnotationBuilder.Type  type)
inline

Set the annotation type

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
type
unsafe void NXOpen.CAE.PostAnnotationBuilder.SetCoordinate ( double  xcord,
double  ycord 
)
inline

Set the coordinates for user annotation

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
xcord
ycord
unsafe void NXOpen.CAE.PostAnnotationBuilder.SetEdgeFace ( int[]  subIds)
inline

Set the edge or face id for which annotation is defined

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
subIds
unsafe void NXOpen.CAE.PostAnnotationBuilder.SetElements ( int[]  elementIds)
inline

Set the element ids for which annotation is defined

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
elementIds
unsafe void NXOpen.CAE.PostAnnotationBuilder.SetName ( string  name)
inline

Set the annotation name

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
name
unsafe void NXOpen.CAE.PostAnnotationBuilder.SetNodes ( int[]  nodeIds)
inline

Set the node ids for which annotation is defined

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
nodeIds
unsafe void NXOpen.CAE.PostAnnotationBuilder.SetNumMinMax ( int  numMinMax)
inline

Set the number of min/max annotation for min/max type of annotation

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
numMinMax
unsafe void NXOpen.CAE.PostAnnotationBuilder.SetResults ( NXOpen.CAE.Result[]  results)
inline

Set the result index for which annotation is defined

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
results
unsafe void NXOpen.CAE.PostAnnotationBuilder.SetSectionAngles ( double[]  sectionAngles)
inline

Set the section angles for axis-symmetric model for which annotation is defined.

The list of sections depend on current postview and how it is created using NXOpen.CAE.AxiSymmetricParameters

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
sectionAngles
unsafe void NXOpen.CAE.PostAnnotationBuilder.SetSectors ( int[]  sectorIds)
inline

Set the sector ids for cyclic-symmetric model for which annotation is defined

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
sectorIds
unsafe void NXOpen.CAE.PostAnnotationBuilder.SetUpdateEntityOnResultChange ( bool  update)
inline

Set weather entity is to be updated in case of result update for min/max annotation

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
update
unsafe void NXOpen.CAE.PostAnnotationBuilder.SetUsertext ( string[]  usertext)
inline

Set the user text

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
usertextAdditional text in each box

The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.